# Knowledge Base MCP Server

Mobile Text Alerts offers a Model Context Protocol (MCP) server for all the content in both Developer Center and the [Help Center](https://mobile-text-alerts.deskpro.com/). This server allows AI assistants to read and search within all the available content to learn how to utilize Mobile Text Alerts features.&#x20;

This allows you to ask your AI-tool (Cursor, Claude, etc.) a question and it can search all the available help sources in real-time and use the retrieved information to give you accurate, context-aware answers.

## Access the Server

### Server URL

The Knowledge Base MCP server is a remote server hosted at the following URL:

```
https://kb.mobile-text-alerts.com/mcp
```

[Learn more about connecting to remote MCP servers.](https://modelcontextprotocol.io/docs/develop/connect-remote-servers)

### Authorization

No authentication is required for this server.

## Tools

The Knowledge Base MCP server supports the following tools:

* `search_documentation` - This is first used by the agent to search for relevant content for a given term or concept. This returns a list of results with page titles, links, etc.
* `read_documentation` - An agent can pass a page URL to this tool, which returns a full Markdown version of the article with additional scaffolding for easier AI consumption.

## Connect to the Knowledge Base MCP Server

### Cursor

You can configure remote custom MCP servers with the  `mcp.json` file.&#x20;

**Configuration:** (no authentication required)

```json
{
  "mcpServers": {
    "mobile-text-alerts-knowledge-base": {
      "url": "https://kb.mobile-text-alerts.com/mcp"
    }
  }
}
```

Once installed, under **Settings** you should see `mobile-text-alerts-knowledge-base` under **Installed MCP Servers** with the available tools listed below.

Visit the [Cursor Docs](https://cursor.com/docs/context/mcp) to learn more about installing MCP servers with Cursor.

### Claude

1. Open Claude (web or Desktop app) and click the "Search and tools" icon and select **Manage Connectors**. ![](/files/1myTRDBqltxDtWvMJPqG)
2. Under **Connectors**, click **Add custom connector** (or **+ Add**) to begin the connection process.
3. Paste the following Server URL into the connector URL field:

   ```
   https://kb.mobile-text-alerts.com/mcp   
   ```
4. Give the connector a friendly name such as: “Mobile Text Alerts Knowledge Base".
5. Next click **Add**. You should see the new connector listed under Connectors.
6. Since there is no authentication required, you can now use this connector. Test it by asking Claude something that uses the Mobile Text Alerts Knowledge Base MCP server.&#x20;

> Example prompt: “Using the Mobile Text Alerts Knowledge Base connector, list available tools” — Claude should show tool names (Search Documentation, Read Documentation). &#x20;

When Claude uses this tool, you'll see it appear in the chat view with the Mobile Text Alerts name and logo. This can be expanded to view the exact parameters passed in the tool call.

Visit [Claude Support](https://support.claude.com/en/articles/11175166-getting-started-with-custom-connectors-using-remote-mcp) to learn more about custom connectors using remote MCP.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobile-text-alerts.com/mcp-servers/knowledge-base-mcp-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
